### Constructor

# Gimp VectorLayer new

since: 3.2

#### Declaration [src]

    GimpVectorLayer*
    gimp_vector_layer_new (
      GimpImage* image,
      GimpPath* path
    )

#### Description [src]

Create a new vector layer.

This procedure creates a new vector layer displaying the specified `path`. By default, the fill and stroke properties will be defined by the context.

The new layer still needs to be added to the image as this is not automatic. Add the new layer with the `gimp_image_insert_layer()` method.

The arguments are kept as simple as necessary for the basic case. All vector attributes, however, can be modified with the appropriate `gimp_vector_layer_set_*()` procedures.

Available since: 3.2

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`path`

  Type: `GimpPath`

  The path to create the layer from.

  The data is owned by the caller of the function.

#### Return value

Type: `GimpVectorLayer`

         The new vector layer. The object belongs to libgimp and you should not free it.

The data is owned by the called function.